% convert an ascii character into the PSK31 varicode bit array
%
function code=psk31_a2bits(character)

	% load varicode
	varicode

	pos=find(character==PSK_IDX_TO_ASCII);

	k=PSK_TO_PSK_IDX(pos);
	value=cast(k,'uint16');
	for n=1:16,
		bits(n)=bitget(value,n);
	end
	bits=fliplr(bits);

	onebit_indexes=find(bits==1);

	%first index of a one	
	f=onebit_indexes(1);

	% extract bits without leading zeros
	code=bits(f:16);

endfunction
